# Class Exporter

java.lang.Object
jspecview.export.Exporter

All Implemented Interfaces:
  `ExportInterface, JSVExporter`

public class Exporter extends Object implements ExportInterface

## Constructor Summary

Constructors
Constructor
Description
`Exporter()`

## Method Summary

Modifier and Type
Method
Description
`String`
`exportTheSpectrum(JSViewer viewer, ExportType mode, OC out, Spectrum spec, int startIndex, int endIndex, PanelData pd, boolean asBase64)`
`String`
`write(JSViewer viewer, Lst<String> tokens, boolean forInkscape)`
from EXPORT command

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Exporter

public Exporter()

## Method Details

### write

public String write(JSViewer viewer, Lst<String> tokens, boolean forInkscape)
Description copied from interface: `ExportInterface`
from EXPORT command

Specified by:
  `write` in interface `ExportInterface`
Parameters:
  `viewer` -
  `tokens` -
  `forInkscape` -
Returns:
  message for status line

### exportTheSpectrum

public String exportTheSpectrum(JSViewer viewer, ExportType mode, OC out, Spectrum spec, int startIndex, int endIndex, PanelData pd, boolean asBase64) throws Exception

Specified by:
  `exportTheSpectrum` in interface `JSVExporter`
Parameters:
  `viewer` -
  `mode` -
  `out` -
  `spec` - not relevant for PDF, JPG, PNG
  `startIndex` - not relevant for PDF, JPG, PNG
  `endIndex` - not relevant for PDF, JPG, PNG
  `pd` - only for SVG/SVGI
  `asBase64` - TODO
Returns:
  message or text
Throws:
  `Exception`